import { fetch, post } from '@/api/http'
export default {
    //获取课程列表
    findCourse: function (data) {
        return post('/school/course/find', data)
    },
    //获取课程完整信息
    findCusInfo: function (data) {
        return post('/school/course/find-summary', data)
    },
    //更新或者新增课程
    saveOrUpdateCourse: function (data) {
        return post('/school/course/upsert', data)
    },
    deleteCourse: function (data) {
        return post('/school/course/delete', data)
    },
    //批量删除课程
    deleteCourseAll: function (data) {
        return post('/school/course/delete-all', data)
    },
    //管理员保存排课数据——单堂设置
    upsertPlanDto: function (data) {
        return post('/school/course/upsert-management', data)
    },
    //管理员保存排课数据——批量导入
    importAllPlan: function (data) {
        return post('/api/Course/importAllPlan', data)
    },
    //任课教师保存课程附属信息
    upsertPlan: function (data) {
        return post('/api/Course/upsertPlan', data)
    },
    //查询课程安排数据 （废弃,已经没有courseManagement结构）
    findPlan: function (data) {
        return post('/school/course/find-management', data)
    },
    //删除课程安排数据
    deletePlan: function (data) {
        return post('/api/Course/deletePlan', data)
    },
    //删除一节课的安排
    deleteTime: function (data) {
        return post('/api/Course/deleteTime', data)
    },
    //获取教室关联的学生（移动到班级api管理）
    // getClassroomStudent: function (data) {
    //    return post('/student/class/find', data)
    // },
    //虚拟教室添加学生
    addClassroom: function (data) {
        return post('/api/ClassStudent/upsert', data)
    },
    //获取教师列表
    getSchoolTeacher: function (data) {
        return post('/school/teacher/get-teacher-all', data)
    },
    //获取教师标准课程列表 (废弃原来courseManagement)
    // (课程数据结构调整后校本和个人课程结构相同，用统一的API，此API废弃)
    getSchoolCusMgt: function (data) {
        return post('/school/course/find-course', data)
    },
    //获取教师个人课程列表
    // (课程数据结构调整后校本和个人课程结构相同，用统一的API，此API废弃)
    getPrivateCusMgt: function (data) {
        return post('/school/course/find-teacher-course', data)
    },
    //新增/修改个人课程 
    // (课程数据结构调整后校本和个人课程结构相同，用统一的API，此API废弃)
    upsertPrivateCus: function (data) {
        return post('/school/course/upsert-teacher-course', data)
    },
    //更新保存标准课程公告
    upsertNotice: function (data) {
        return post('/school/course/upsert-notice', data)
    },
    //查询stulist
    findStulist: function (data) {
        return post('/school/course/find-list', data)
    },
    //添加或修改stulist
    upsertStulist: function (data) {
        return post('/school/course/upsert-list', data)
    },
    //根据学生id换取详细信息
    findStuSummary: function (data) {
        return post('/student/get-summary-student', data)
    },
    //根据stulist ids换取详细信息
    findListSummary: function (data) {
        return post('/school/course/get-summary-list', data)
    },
    //查询课程安排数据
    findCusByRoom: function (data) {
        return post('/school/course/find-course-by-room', data)
    },
    //我的课程页面查询班级相关的校本活动和老师发布的个人活动
    findTchAc: function (data) {
        return post('/teacher/tch-activity', data)
    },
    //删除自定义名单
    delStuList: function (data) {
        return post('/school/course/delete-list', data)
    },
}
